Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class SchemaTransformer

    java.lang.Object
      convert.relaxng.output.xsd.basic.SchemaTransformer

All Implemented Interfaces:
  AttributeUseVisitor<AttributeUse>, ComplexTypeVisitor<ComplexType>, ParticleVisitor<Particle>, SchemaVisitor, SimpleTypeVisitor<SimpleType>

    public class SchemaTransformer

extends java.lang.Object
implements SchemaVisitor, ParticleVisitor<Particle>, ComplexTypeVisitor<ComplexType>, AttributeUseVisitor<AttributeUse>, SimpleTypeVisitor<SimpleType>

Constructor Summary
`SchemaTransformer(Schema schema)`

Method Summary
`Schema` | `getSchema()`
`void` | `transform()`
`java.util.List<AttributeUse>` | `transformAttributeUseList(java.util.List<AttributeUse> list)`
`java.util.List<Particle>` | `transformParticleList(java.util.List<Particle> list)`
`java.util.List<SimpleType>` | `transformSimpleTypeList(java.util.List<SimpleType> list)`
`Particle` | `visitAll(ParticleAll p)`
`AttributeUse` | `visitAttribute(Attribute a)`
`AttributeUse` | `visitAttributeGroup(AttributeGroup a)`
`void` | `visitAttributeGroup(AttributeGroupDefinition def)`
`AttributeUse` | `visitAttributeGroupRef(AttributeGroupRef a)`
`AttributeUse` | `visitAttributeUseChoice(AttributeUseChoice a)`
`Particle` | `visitChoice(ParticleChoice p)`
`void` | `visitComment(Comment comment)`
`ComplexType` | `visitComplexContent(ComplexTypeComplexContent t)`
`Particle` | `visitElement(Element p)`
`void` | `visitGroup(GroupDefinition def)`
`Particle` | `visitGroupRef(GroupRef p)`
`void` | `visitInclude(Include include)`
`SimpleType` | `visitList(SimpleTypeList t)`
`ComplexType` | `visitNotAllowedContent(ComplexTypeNotAllowedContent t)`
`AttributeUse` | `visitOptionalAttribute(OptionalAttribute a)`
`SimpleType` | `visitRef(SimpleTypeRef t)`
`Particle` | `visitRepeat(ParticleRepeat p)`
`SimpleType` | `visitRestriction(SimpleTypeRestriction t)`
`void` | `visitRoot(RootDeclaration decl)`
`Particle` | `visitSequence(ParticleSequence p)`
`ComplexType` | `visitSimpleContent(ComplexTypeSimpleContent t)`
`void` | `visitSimpleType(SimpleTypeDefinition def)`
`SimpleType` | `visitUnion(SimpleTypeUnion t)`
`AttributeUse` | `visitWildcardAttribute(WildcardAttribute a)`
`Particle` | `visitWildcardElement(WildcardElement p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaTransformer

    public SchemaTransformer(Schema schema)

Method Detail

### getSchema

    public Schema getSchema()

### transform

    public void transform()

### visitGroup

    public void visitGroup(GroupDefinition def)

  Specified by:
    `visitGroup` in interface `SchemaVisitor`

### visitAttributeGroup

    public void visitAttributeGroup(AttributeGroupDefinition def)

  Specified by:
    `visitAttributeGroup` in interface `SchemaVisitor`

### visitSimpleType

    public void visitSimpleType(SimpleTypeDefinition def)

  Specified by:
    `visitSimpleType` in interface `SchemaVisitor`

### visitRoot

    public void visitRoot(RootDeclaration decl)

  Specified by:
    `visitRoot` in interface `SchemaVisitor`

### visitInclude

    public void visitInclude(Include include)

  Specified by:
    `visitInclude` in interface `SchemaVisitor`

### visitComment

    public void visitComment(Comment comment)

  Specified by:
    `visitComment` in interface `SchemaVisitor`

### visitRepeat

    public Particle visitRepeat(ParticleRepeat p)

  Specified by:
    `visitRepeat` in interface `ParticleVisitor<Particle>`

### visitGroupRef

    public Particle visitGroupRef(GroupRef p)

  Specified by:
    `visitGroupRef` in interface `ParticleVisitor<Particle>`

### visitElement

    public Particle visitElement(Element p)

  Specified by:
    `visitElement` in interface `ParticleVisitor<Particle>`

### visitWildcardElement

    public Particle visitWildcardElement(WildcardElement p)

  Specified by:
    `visitWildcardElement` in interface `ParticleVisitor<Particle>`

### visitSequence

    public Particle visitSequence(ParticleSequence p)

  Specified by:
    `visitSequence` in interface `ParticleVisitor<Particle>`

### visitChoice

    public Particle visitChoice(ParticleChoice p)

  Specified by:
    `visitChoice` in interface `ParticleVisitor<Particle>`

### visitAll

    public Particle visitAll(ParticleAll p)

  Specified by:
    `visitAll` in interface `ParticleVisitor<Particle>`

### visitComplexContent

    public ComplexType visitComplexContent(ComplexTypeComplexContent t)

  Specified by:
    `visitComplexContent` in interface `ComplexTypeVisitor<ComplexType>`

### visitSimpleContent

    public ComplexType visitSimpleContent(ComplexTypeSimpleContent t)

  Specified by:
    `visitSimpleContent` in interface `ComplexTypeVisitor<ComplexType>`

### visitNotAllowedContent

    public ComplexType visitNotAllowedContent(ComplexTypeNotAllowedContent t)

  Specified by:
    `visitNotAllowedContent` in interface `ComplexTypeVisitor<ComplexType>`

### visitAttribute

    public AttributeUse visitAttribute(Attribute a)

  Specified by:
    `visitAttribute` in interface `AttributeUseVisitor<AttributeUse>`

### visitWildcardAttribute

    public AttributeUse visitWildcardAttribute(WildcardAttribute a)

  Specified by:
    `visitWildcardAttribute` in interface `AttributeUseVisitor<AttributeUse>`

### visitAttributeGroupRef

    public AttributeUse visitAttributeGroupRef(AttributeGroupRef a)

  Specified by:
    `visitAttributeGroupRef` in interface `AttributeUseVisitor<AttributeUse>`

### visitOptionalAttribute

    public AttributeUse visitOptionalAttribute(OptionalAttribute a)

  Specified by:
    `visitOptionalAttribute` in interface `AttributeUseVisitor<AttributeUse>`

### visitAttributeGroup

    public AttributeUse visitAttributeGroup(AttributeGroup a)

  Specified by:
    `visitAttributeGroup` in interface `AttributeUseVisitor<AttributeUse>`

### visitAttributeUseChoice

    public AttributeUse visitAttributeUseChoice(AttributeUseChoice a)

  Specified by:
    `visitAttributeUseChoice` in interface `AttributeUseVisitor<AttributeUse>`

### visitRestriction

    public SimpleType visitRestriction(SimpleTypeRestriction t)

  Specified by:
    `visitRestriction` in interface `SimpleTypeVisitor<SimpleType>`

### visitUnion

    public SimpleType visitUnion(SimpleTypeUnion t)

  Specified by:
    `visitUnion` in interface `SimpleTypeVisitor<SimpleType>`

### visitList

    public SimpleType visitList(SimpleTypeList t)

  Specified by:
    `visitList` in interface `SimpleTypeVisitor<SimpleType>`

### visitRef

    public SimpleType visitRef(SimpleTypeRef t)

  Specified by:
    `visitRef` in interface `SimpleTypeVisitor<SimpleType>`

### transformAttributeUseList

    public java.util.List<AttributeUse> transformAttributeUseList(java.util.List<AttributeUse> list)

### transformParticleList

    public java.util.List<Particle> transformParticleList(java.util.List<Particle> list)

### transformSimpleTypeList

    public java.util.List<SimpleType> transformSimpleTypeList(java.util.List<SimpleType> list)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD